# $Revision: 1.31 $, $Date: 2004/07/12 18:34:45 $
Summary:	gView is a GTK+ image browser and viewer
Summary(pl):	gView jest przegldark plikw graficznych opart na GTK+
Name:		gview
Version:	0.1.15
Release:	5
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.petech.ac.za/pub/viewers/%{name}-%{version}.tar.gz
# Source0-md5:	f54227f9604c57b07ef2678c00d6ab4a
Source1:	%{name}.desktop
Patch0:		%{name}-automake.patch
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.1.9
BuildRequires:	imlib-devel >= 1.4.0
URL:		http://gview.netpedia.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
gView is an image browser and viewer, using GTK+ and Imlib, that uses
a style similar to that of ACDSee for Windows.

%description -l pl
gView jest przegldark obrazkw wykorzystujc biblioteki GTK+ i
Imlib, posiadajc interfejs zbliony do ACDSee dla Windows.

%prep
%setup -q
%patch0 -p1

%build
glib-gettextize --copy --force
intltoolize --copy --force
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO NEWS AUTHORS
%attr(755,root,root) %{_bindir}/gview
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gview.spec,v $
Revision 1.31  2004/07/12 18:34:45  kali
- switched to vfolders
- updated patch
- rel 5

Revision 1.30  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:48:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.27  2002/10/09 13:14:31  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.26  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.25  2002/06/16 09:41:30  kloczek
- release 4 (arch sync),
- use new %doc.

Revision 1.24  2002/05/21 23:13:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/04/25 16:32:21  arturs
fixed a small typo

Revision 1.22  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.21  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/12 18:05:51  blues
- release 3
- ac 2.5 ready

Revision 1.18  2000/10/12 21:33:08  kloczek
- release 2: use new rpm automation.

Revision 1.17  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:22:58  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/07 05:33:03  kloczek
- updated to 0.1.15,
- added using %%find_lang macro.

Revision 1.14  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.13  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.11  2000/01/01 19:41:51  kloczek
- updated to 0.1.13,
- adepter(ized),
- updated Source url and added URL.

Revision 1.10  1999/09/18 10:14:18  pius
- small fix

Revision 1.9  1999/09/18 10:12:13  pius
- updated to 0.1.12
- removed gview-synt.patch (fixed in sources)

Revision 1.8  1999/09/12 14:43:50  pius
- updated to 0.1.11,
- added gview.desktop file,
- added gview-synt.patch,
- cosmetics.

Revision 1.7  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 25 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.1.7-1]
- initial rpm release.
